GET/desk/api/v2/search/helpdocs.json

Search for helpdoc articles

The following values are allowed in the includes query parameter:

  • sites
  • users
  • all

Query Params

  • Name
    status
    Type
    string
    Description

    Status filters by article status (Published, Draft, Unpublished).

  • Name
    search
    Type
    string
    Description

    Search is a full-text query matched against article title, contents, and keywords.

  • Name
    siteId
    Type
    integer
    Description

    SiteID restricts results to articles belonging to this helpdoc site.

  • Name
    pageSize
    Type
    integer
    Description

    PageSize is the number of results per page (default 50, max 200).

  • Name
    page
    Type
    integer
    Description

    Page is the 1-based page number.

  • Name
    categoryId
    Type
    integer
    Description

    CategoryID restricts results to articles in this category.

  • Name
    includes
    Type
    array[string]
    Description

    Includes specifies which relationships to include in the response.

    Format
    Comma separated values

Responses

  • Code
    200
    Type
    object
    Schema
    Description
    200 OK
    HelpdocArticlesAPIBody handles the request/response for helpdoc article listing
  • Code
    400
    Type
    object
    Schema
    Description
    400 Bad Request
    Validator hold the validation errors. Typically you shouldn't create this directly but use the New() function.

Examples

200 OK

HelpdocArticlesAPIBody
{  "helpdocarticles": [    {      "categories": [        0      ],      "contents": "string",      "createdAt": "2026-06-18T17:49:14.230Z",      "createdBy": {        "delete": true,        "id": 0,        "meta": {          "additionalProp": "Unknown Type: any"        },        "type": 0      },      "deletedAt": "2026-06-18T17:49:14.230Z",      "deletedBy": {